Hi,

On Thu, Feb 01, 2018 at 01:06:04PM +0100, Guillermo Rodriguez Garcia wrote:
> 2018-02-01 12:20 GMT+01:00 Michael Olbrich <m.olbr...@pengutronix.de>:
> > On Wed, Jan 31, 2018 at 05:38:20PM +0100, Guillermo Rodriguez Garcia wrote:
> > > More questions about gstreamer packages: Why/where are the HOST_ORC and
> > > HOST_GLIB packages required? Are these for specific plugins perhaps?
> > > Disabling these dependencies and rebuilding the packages seems to work
> > > fine..
> >
> > host-glib is needed for glib-mkenums and glib-genmarshal. Maybe those are
> > already installed in your system? PTXdist tries to avoid such external
> > dependencies because different versions of such tools may result in
> > different target binaries.
> 
> Right. I had glib-mkenums and glib-genmarshal already installed and ptxdist
> was picking those. So the HOST_GLIB part is clear.
> 
> > I'm not sure if host-orc is still needed. At some point it was necessary
> > to provided orcc because some files that are generated by orcc where not
> > shipped in the release tarball or something like that.
> 
> I don't have orcc installed though, not sure where this is needed (perhaps
> for plugins that I am not building).

I checked, and orcc is no longer needed. I've removed the dependency.

Regards,
Michael

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |

_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de

Reply via email to